Name: liblzo
Version: 1.08
Release: alt4

Packager: Andrey Brindeew <abr@altlinux.org>

Summary: A real-time data compression library
Summary(ru_RU.KOI8-R):    
License: GPL
Group: System/Libraries
Url: http://www.oberhumer.com/opensource/lzo/

Source: lzo-%version.tar.bz2

# Automatically added by buildreq on Fri Jan 24 2003
BuildRequires: gcc-c++ glibc-devel-static nasm zlib-devel

%description
LZO is a portable lossless data compression library written in ANSI C.
It offers pretty fast compression and very fast decompression.
Decompression requires no memory.

In addition there are slower compression levels achieving a quite
competitive compression ratio while still decompressing at
this very high speed.

%description -l ru_RU.KOI8-R
LZO -      ,   ANSI C.
        .
    .

     ,  
  ,       - 
.

%package devel
Summary: Libraries and header files for programs that use lzo
Summary(ru_RU.KOI8-R):      ,  LZO
Group: Development/C
Requires: %name = %version-%release

%description devel
LZO is a portable lossless data compression library written in ANSI C.
It offers pretty fast compression and very fast decompression.
Decompression requires no memory.

In addition there are slower compression levels achieving a quite
competitive compression ratio while still decompressing at
this very high speed.

%package devel-static
Summary: Static %name library
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
LZO is a portable lossless data compression library written in ANSI C.
It offers pretty fast compression and very fast decompression.
Decompression requires no memory.

In addition there are slower compression levels achieving a quite
competitive compression ratio while still decompressing at
this very high speed.

%prep
%setup -q -n lzo-%version

%build
%configure \
	--enable-shared
%make_build
make test

%install
%makeinstall

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%_libdir/*.so.*
%doc README AUTHORS COPYING NEWS ChangeLog BUGS THANKS doc/*

%files devel
%_includedir/*
%_libdir/*.so

%files devel-static
%_libdir/*.a

%changelog
* Sun Mar 26 2006 Andrey Brindeew <abr@altlinux.org> 1.08-alt4
- Source converted from gz to bz2
- specfile cleanup

* Sat Dec 13 2003 Andrey Brindeew <abr@altlinux.ru> 1.08-alt3
- *.la files removed

* Fri Jan 24 2003 Stanislav Ievlev <inger@altlinux.ru> 1.08-alt2
- rebuild

* Tue Aug 20 2002 Andrey Brindeew <abr@altlinux.ru> 1.08-alt1
- First build for ALT Linux

